Skip to main content
GET
Get

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

key
string
required

The key of the process definition (the latest version thereof) to be retrieved.

Response

Request successful.

id
string | null

The id of the process definition

key
string | null

The key of the process definition, i.e., the id of the BPMN 2.0 XML process definition.

category
string | null

The category of the process definition.

description
string | null

The description of the process definition.

name
string | null

The name of the process definition.

version
integer<int32> | null

The version of the process definition that the engine assigned to it.

resource
string | null

The file name of the process definition.

deploymentId
string | null

The deployment id of the process definition.

diagram
string | null

The file name of the process definition diagram, if it exists.

suspended
boolean | null

A flag indicating whether the definition is suspended or not.

tenantId
string | null

The tenant id of the process definition.

versionTag
string | null

The version tag of the process definition.

historyTimeToLive
integer<int32> | null

History time to live value of the process definition. Is used within History cleanup.

Required range: x >= 0
startableInTasklist
boolean | null

A flag indicating whether the process definition is startable in Tasklist or not.